

%define framework plasma-workspace-wallpapers

Summary:        Plasma wallpapers
Name:           %framework
Version: 		5.27.11
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildArch:      noarch
BuildRequires:  kf5-macros
BuildRequires: %{_lib}qt5core-devel

%description
Plasma wallpapers

%files
%_kf5_datadir/wallpapers/*

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DCMAKE_BUILD_TYPE=Release
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

